package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkRoundMatter extends TkRoundMatterDO implements Serializable {
    private String id;

    /**
     * 这里存taskID不是subtaskID
     *
     * @mbg.generated
     */
    private String subTaskId;

    /**
     * 日常任务ID
     *
     * @mbg.generated
     */
    private String comTaskId;

    /**
     * 事项ID
     *
     * @mbg.generated
     */
    private String matterId;

    /**
     * 排序
     *
     * @mbg.generated
     */
    private Integer orderBy;

    /**
     * 类别 对应Ylzd1
     *
     * @mbg.generated
     */
    private String type;

    /**
     * 事项
     * Ylzd3
     * @mbg.generated
     */
    private String name;

    /**
     * 有无异常   有：true，无：false
     *
     * @mbg.generated
     */
    private Boolean unusual;

    /**
     * 操作
     *
     * @mbg.generated
     */
    private String action;

    /**
     * 备注
     *
     * @mbg.generated
     */
    private String remark;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Date updateTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 修改人
     *
     * @mbg.generated
     */
    private String updateBy;

//    对应Ylzd2
    private String standby1;

    private String standby2;

//    所属网格
    private String standby3;

    private String standby4;

    private String standby5;

    private String standby6;

    private String standby7;

    private String standby8;

    private String standby9;

    private String standby10;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSubTaskId() {
        return subTaskId;
    }

    public void setSubTaskId(String subTaskId) {
        this.subTaskId = subTaskId;
    }

    public String getComTaskId() {
        return comTaskId;
    }

    public void setComTaskId(String comTaskId) {
        this.comTaskId = comTaskId;
    }

    public String getMatterId() {
        return matterId;
    }

    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }

    public Integer getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getUnusual() {
        return unusual;
    }

    public void setUnusual(Boolean unusual) {
        this.unusual = unusual;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getStandby1() {
        return standby1;
    }

    public void setStandby1(String standby1) {
        this.standby1 = standby1;
    }

    public String getStandby2() {
        return standby2;
    }

    public void setStandby2(String standby2) {
        this.standby2 = standby2;
    }

    public String getStandby3() {
        return standby3;
    }

    public void setStandby3(String standby3) {
        this.standby3 = standby3;
    }

    public String getStandby4() {
        return standby4;
    }

    public void setStandby4(String standby4) {
        this.standby4 = standby4;
    }

    public String getStandby5() {
        return standby5;
    }

    public void setStandby5(String standby5) {
        this.standby5 = standby5;
    }

    public String getStandby6() {
        return standby6;
    }

    public void setStandby6(String standby6) {
        this.standby6 = standby6;
    }

    public String getStandby7() {
        return standby7;
    }

    public void setStandby7(String standby7) {
        this.standby7 = standby7;
    }

    public String getStandby8() {
        return standby8;
    }

    public void setStandby8(String standby8) {
        this.standby8 = standby8;
    }

    public String getStandby9() {
        return standby9;
    }

    public void setStandby9(String standby9) {
        this.standby9 = standby9;
    }

    public String getStandby10() {
        return standby10;
    }

    public void setStandby10(String standby10) {
        this.standby10 = standby10;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", subTaskId=").append(subTaskId);
        sb.append(", comTaskId=").append(comTaskId);
        sb.append(", matterId=").append(matterId);
        sb.append(", orderBy=").append(orderBy);
        sb.append(", type=").append(type);
        sb.append(", name=").append(name);
        sb.append(", unusual=").append(unusual);
        sb.append(", action=").append(action);
        sb.append(", remark=").append(remark);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", standby1=").append(standby1);
        sb.append(", standby2=").append(standby2);
        sb.append(", standby3=").append(standby3);
        sb.append(", standby4=").append(standby4);
        sb.append(", standby5=").append(standby5);
        sb.append(", standby6=").append(standby6);
        sb.append(", standby7=").append(standby7);
        sb.append(", standby8=").append(standby8);
        sb.append(", standby9=").append(standby9);
        sb.append(", standby10=").append(standby10);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkRoundMatter other = (TkRoundMatter) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getSubTaskId() == null ? other.getSubTaskId() == null : this.getSubTaskId().equals(other.getSubTaskId()))
            && (this.getComTaskId() == null ? other.getComTaskId() == null : this.getComTaskId().equals(other.getComTaskId()))
            && (this.getMatterId() == null ? other.getMatterId() == null : this.getMatterId().equals(other.getMatterId()))
            && (this.getOrderBy() == null ? other.getOrderBy() == null : this.getOrderBy().equals(other.getOrderBy()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getUnusual() == null ? other.getUnusual() == null : this.getUnusual().equals(other.getUnusual()))
            && (this.getAction() == null ? other.getAction() == null : this.getAction().equals(other.getAction()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getStandby1() == null ? other.getStandby1() == null : this.getStandby1().equals(other.getStandby1()))
            && (this.getStandby2() == null ? other.getStandby2() == null : this.getStandby2().equals(other.getStandby2()))
            && (this.getStandby3() == null ? other.getStandby3() == null : this.getStandby3().equals(other.getStandby3()))
            && (this.getStandby4() == null ? other.getStandby4() == null : this.getStandby4().equals(other.getStandby4()))
            && (this.getStandby5() == null ? other.getStandby5() == null : this.getStandby5().equals(other.getStandby5()))
            && (this.getStandby6() == null ? other.getStandby6() == null : this.getStandby6().equals(other.getStandby6()))
            && (this.getStandby7() == null ? other.getStandby7() == null : this.getStandby7().equals(other.getStandby7()))
            && (this.getStandby8() == null ? other.getStandby8() == null : this.getStandby8().equals(other.getStandby8()))
            && (this.getStandby9() == null ? other.getStandby9() == null : this.getStandby9().equals(other.getStandby9()))
            && (this.getStandby10() == null ? other.getStandby10() == null : this.getStandby10().equals(other.getStandby10()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getSubTaskId() == null) ? 0 : getSubTaskId().hashCode());
        result = prime * result + ((getComTaskId() == null) ? 0 : getComTaskId().hashCode());
        result = prime * result + ((getMatterId() == null) ? 0 : getMatterId().hashCode());
        result = prime * result + ((getOrderBy() == null) ? 0 : getOrderBy().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getUnusual() == null) ? 0 : getUnusual().hashCode());
        result = prime * result + ((getAction() == null) ? 0 : getAction().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getStandby1() == null) ? 0 : getStandby1().hashCode());
        result = prime * result + ((getStandby2() == null) ? 0 : getStandby2().hashCode());
        result = prime * result + ((getStandby3() == null) ? 0 : getStandby3().hashCode());
        result = prime * result + ((getStandby4() == null) ? 0 : getStandby4().hashCode());
        result = prime * result + ((getStandby5() == null) ? 0 : getStandby5().hashCode());
        result = prime * result + ((getStandby6() == null) ? 0 : getStandby6().hashCode());
        result = prime * result + ((getStandby7() == null) ? 0 : getStandby7().hashCode());
        result = prime * result + ((getStandby8() == null) ? 0 : getStandby8().hashCode());
        result = prime * result + ((getStandby9() == null) ? 0 : getStandby9().hashCode());
        result = prime * result + ((getStandby10() == null) ? 0 : getStandby10().hashCode());
        return result;
    }
}